Skip to content

Seconds per Region GET

URL: https://api.painelalter.com/api/heatmap/GetSecondsPerRegion?dateBegin=2023-05-08&dateEnd=2023-05-09

Returns the total number of seconds that a group of people spent in a specific area defined by the heatmap.

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)

Response Example

json
[
  [
      {
          "localDate": "2023-05-08",
          "localHour": 8,
          "totalSeconds": 100,
          "deviceDescription": "Cam14 - waiting",
          "region": "Checkout waiting",
          "regionId": 8,
          "storeAliasId": "1",
          "storeName": "Stores ABC"
      },
      {
          "localDate": "2023-05-08",
          "localHour": 8,
          "totalSeconds": 170,
          "deviceDescription": "Cam14 - waiting",
          "region": "Package waiting",
          "regionId": 7,
          "storeAliasId": "1",
          "storeName": "Stores ABC"
      }
  ],
  [
      {
          "localDate": "2023-05-08",
          "localHour": 8,
          "totalSeconds": 100,
          "deviceDescription": "Cam14 - waiting",
          "region": "Checkout waiting",
          "regionId": 8,
          "storeAliasId": "1",
          "storeName": "Stores FGH"
      },
      {
          "localDate": "2023-05-08",
          "localHour": 8,
          "totalSeconds": 170,
          "deviceDescription": "Cam14 - waiting",
          "region": "Package waiting",
          "regionId": 7,
          "storeAliasId": "1",
          "storeName": "Stores FGH"
      }
  ]
]